Loading...
Searching...
No Matches
Ogre::Technique::GPUVendorRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU vendor. More...

`#include <OgreTechnique.h>`

## Public Member Functions

| GPUVendorRule ()
| GPUVendorRule (GPUVendor v, IncludeOrExclude ie)

## Public Attributes

IncludeOrExclude | includeOrExclude
GPUVendor | vendor

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU vendor.

## Constructor & Destructor Documentation

## GPUVendorRule() [1/2]

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( |  | ) |

inline

References Ogre::Technique::EXCLUDE, Ogre::GPU_UNKNOWN, includeOrExclude, and vendor.

## GPUVendorRule() [2/2]

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( | GPUVendor | v,
|  | IncludeOrExclude | ie )

inline

References includeOrExclude, and vendor.

## Member Data Documentation

## vendor

GPUVendor Ogre::Technique::GPUVendorRule::vendor

Referenced by GPUVendorRule(), and GPUVendorRule().

## includeOrExclude

IncludeOrExclude Ogre::Technique::GPUVendorRule::includeOrExclude

Referenced by GPUVendorRule(), and GPUVendorRule().

The documentation for this struct was generated from the following file:

- OgreTechnique.h